Represents an [[Iterable]] that is inherently ordered.

### Type parameters

- T

### Hierarchy

- Iterable<T>
  - OrderedIterable
    - OrderedHierarchyIterable

### Implemented by

- OrderByIterable
- OrderedQuery

## Index

### Methods

- [OrderedIterable.thenBy]
- [Symbol.iterator]

## Methods

### [OrderedIterable.thenBy]

- [OrderedIterable.thenBy]<K>(keySelector: function, comparer: Comparison<K> | Comparer<K>, descending: boolean): OrderedIterable<T>

- - Defined in types.ts:160

  Creates a subsequent `OrderedIterable` whose elements are also ordered by the provided key.

  #### Type parameters

  - K

  #### Parameters

  - keySelector: function —

    A callback used to select the key for an element.

    - - (element: T): K

      - A callback used to select the key for an element.

        #### Parameters

        - element: T

        #### Returns K

  - comparer: Comparison<K> | Comparer<K> —

    A callback used to compare two keys.

  - descending: boolean —

    A value indicating whether to sort in descending (`true`) or ascending (`false`) order.

  #### Returns OrderedIterable<T>

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<T>

- Inherited from Iterable.[Symbol.iterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

  #### Returns Iterator<T>

Generated using TypeDoc